| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Properties | List of all members
IG.Lib.IWaitFileEvent Interface Reference

Interface for classes that provide waiting for specific file events (such as ceration or deletion of a specific file or directory). More...

Inheritance diagram for IG.Lib.IWaitFileEvent:
[legend]
Collaboration diagram for IG.Lib.IWaitFileEvent:
[legend]

## Properties
string | Path`[get, set]`
| Path of the file or directory on which the particular event is waited for. Can be specified as relative path, but is internally stored as fully qualified path. More...
Properties inherited from IG.Lib.IWaitCondition
bool | IsWaiting`[get]`
| Returns true if waiting for unblocking condition is currently performed, and false otherwise. Setting should only be done within the waiting function. More...
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Additional Inherited Members
Public Member Functions inherited from IG.Lib.IWaitCondition
bool | Condition ()
| Returns true if unblocking condition is satisfied, and false otherwise. More...
void | CancelOne ()
| Cancels the current waiting for the condition (if one is going on) on one thread and unblocks the thread on which waiting was called (possibly with some latency). More...
void | CancelAll ()
| Cancel the current waiting for the condition on all threads. More...
void | Wait ()
| Blocks until the specified condition gets satisfied. See class description for details. More...

## Detailed Description

Interface for classes that provide waiting for specific file events (such as ceration or deletion of a specific file or directory).

$A Igor Jun10;

## Property Documentation

string IG.Lib.IWaitFileEvent.Path
| get set

Path of the file or directory on which the particular event is waited for. Can be specified as relative path, but is internally stored as fully qualified path.

The documentation for this interface was generated from the following file:

- igbase/0unsorted/WaitConditionFile.cs